# -*- coding: utf-8 -*-
from odoo import models, fields, api

class ProductCategory(models.Model):
    _inherit = 'product.category'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the category in Odoo 14')

class ProductAttribute(models.Model):
    _inherit = 'product.attribute'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the attribute in Odoo 14')

class ProductAttributeValue(models.Model):
    _inherit = 'product.attribute.value'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the attribute value in Odoo 14')


class ProductTemplate(models.Model):
    _inherit = 'product.pricelist'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')


class ResPartner(models.Model):
    _inherit = 'res.partner'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')


class AccountTax(models.Model):
    _inherit = 'account.tax'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')


class ProductTemplateAttributeValue(models.Model):
    _inherit = 'product.template.attribute.value'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')


class PosCategoryInherit(models.Model):
    _inherit = 'pos.category'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')


class PosPublicCategoryInherit(models.Model):
    _inherit = 'product.public.category'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')

class PosPublicPricelistInherit(models.Model):
    _inherit = 'product.pricelist'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')

class ProductProductInherit(models.Model):
    _inherit = 'product.product'

    x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')

class ProductTemplateInherit(models.Model):
        _inherit = 'product.template'

        x_odoo14_id = fields.Integer(string='Odoo 14 ID', help='ID of the product in Odoo 14')
